> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/changelog/archive/changelog-2025/2025-06-04-cart.md).

# 2025-06-04: Cart Service - auto populate product details

## Overview

A new tenant configuration option `populateProductDetailsOnAddToCart` has been added to the Cart Service. When enabled, the cart service will populate product details on the cart item:

* id
* sku
* code
* productType
* name
* localizedName
* description
* images Using information from productService. The data will be populated only if there is no product object passed in the add to cart request.

## Modified endpoints

| Endpoint                                                                                                                                                                       | Description                                                                  |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------- |
| [Adding a product to cart](https://developer.emporix.io/api-documentation/api-guides/checkout/cart/api-reference/cart-items#post-cart-tenant-carts-cartid-items)               | New attributes `localizedName` and `code` added to the product object        |
| [Updating a cart item](https://developer.emporix.io/api-documentation/api-guides/checkout/cart/api-reference/cart-items#put-cart-tenant-carts-cartid-items-itemid)             | New attributes `localizedName` and `code` added to the product object        |
| [Retrieving all products added to a cart](https://developer.emporix.io/api-documentation/api-guides/checkout/cart/api-reference/cart-items#get-cart-tenant-carts-cartid-items) | New attributes `localizedName` and `code` added to the product object        |
| [Retrieving cart details by ID](https://developer.emporix.io/api-documentation/api-guides/checkout/cart/api-reference/carts#get-cart-tenant-carts-cartid)                      | New attributes `localizedName` and `code` added to the item's product object |
| [Retrieving cart details by criteria](https://developer.emporix.io/api-documentation/api-guides/checkout/cart/api-reference/carts#get-cart-tenant-carts)                       | New attributes `localizedName` and `code` added to the item's product object |

## Known problems

There are no known problems.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-06-04-cart.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
